
<?php session_start();

	require '../script_php/conexao.php';
	include_once("conexaoSQL.php");
	include_once("calculoDias.php");
	require_once 'funcao_email.php';
	require_once("dompdf/autoload.inc.php");
	require_once('apagar_arquivos.php');

	$pastaDeDestino = 'C:\xampp\htdocs\chronos\recebimento2\gerador\arquivos';
    
	//apagar todos os arquivos da pasta
	deleteDirectory($pastaDeDestino);
	//criar pasta
	mkdir('arquivos', 0755, true);

	//select
	$result = "SELECT * FROM email";
	$resultado = mysqli_query($conexao, $result);
	  
		while($linha = mysqli_fetch_array($resultado)){
	  
		$user = $linha['usuario'];
		$fabricante = $linha['fabricante'];
		$loja = $linha['loja'];
		$acrescentar = $linha['acrescentar'];
		$procentagem = $acrescentar/100;
		$mostrarprod = $linha['mostrarprod'];
		$mostrarabc = $linha['mostrarprod'];
		$mostrarestoque = $linha['mostrarestoque'];
		$aculmulado = 0;
		$aculmulado1 = 0;
		$lojaRelatorio = "";
		$datainicio = $linha['datainicio'];
		$datafinal = $linha['datafinal'];
		$datainicio1 = implode("/",array_reverse(explode("-",$datainicio)));
		$datafinal1 = implode("/",array_reverse(explode("-",$datafinal)));
		$today = date("d-m-Y");
		$contador = 0;
		$nome = $linha['nome'];
		$email = $linha['email'];

    //chamando gerar relatorio
	gerarRealtorio($fabricante,$mostrarabc,$datainicio,$datafinal,$user,$conexao,$loja,$datainicio1,$datafinal1,$mostrarprod,$mostrarestoque,$contador,$acrescentar,$nome, $pastaDeDestino);
}